Bug 171366 - [PATCH] devel/allegro-devel: Update to recent 4.4.2 Version
Summary: [PATCH] devel/allegro-devel: Update to recent 4.4.2 Version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-06 06:10 UTC by nemysis
Modified: 2012-09-17 10:32 UTC (History)
1 user (show)

See Also:


Attachments
allegro-devel-4.4.2.patch (3.58 KB, patch)
2012-09-06 06:10 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-09-06 06:10:01 UTC
Update to recent 4.4.2 Version, which is needed for some Applications.


Removed file(s):
- files/patch-loadpng.c

In this file is zlib.h and patch isn't more needed

#include <zlib.h>

Generated and tested manually, tested with port test and with RedPorts (all RELEASES), sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2012-09-17 06:37:42 UTC
State Changed
From-To: open->feedback

I will take it. Would you like to take maintainership for this port? 


Comment 2 Ruslan Makhmatkhanov freebsd_committer 2012-09-17 06:37:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it. Would you like to take maintainership for this port?
Comment 3 nemysis 2012-09-17 07:01:20 UTC
On Mon, 17 Sep 2012 05:37:52 GMT
rm@FreeBSD.org wrote:

> Synopsis: [PATCH] devel/allegro-devel: Update to recent 4.4.2 Version
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: rm
> State-Changed-When: Mon Sep 17 05:37:42 UTC 2012
> State-Changed-Why: 
> I will take it. Would you like to take maintainership for this port?
> 
> 
> Responsible-Changed-From-To: freebsd-ports-bugs->rm
> Responsible-Changed-By: rm
> Responsible-Changed-When: Mon Sep 17 05:37:42 UTC 2012
> Responsible-Changed-Why: 
> I will take it. Would you like to take maintainership for this port?
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=171366

Yes i will take maintainership for /devel/allegro-devel.

Thanks.
Comment 4 dfilter service freebsd_committer 2012-09-17 10:29:38 UTC
Author: rm
Date: Mon Sep 17 09:28:52 2012
New Revision: 304392
URL: http://svn.freebsd.org/changeset/ports/304392

Log:
  - update to 4.4.2
  - fix COMMENT
  - pass maintainership to submitter
  - chase update in games/liquidwar
  
  while here:
  - trim Makefile header
  - remove unneeded inclusion of bsd.port.pre|post.mk
  - whitespace fix in pkg-descr
  
  PR:		171366
  Submitted by:	nemysis <nemysis at gmx dot ch>

Modified:
  head/devel/allegro-devel/Makefile
  head/devel/allegro-devel/distinfo
  head/devel/allegro-devel/pkg-descr
  head/games/liquidwar/Makefile

Modified: head/devel/allegro-devel/Makefile
==============================================================================
--- head/devel/allegro-devel/Makefile	Mon Sep 17 09:20:13 2012	(r304391)
+++ head/devel/allegro-devel/Makefile	Mon Sep 17 09:28:52 2012	(r304392)
@@ -1,19 +1,13 @@
-# New ports collection makefile for:	allegro
-# Date created:		23-Feb-2001
-# Whom:			Jimmy Olgeni <olgeni@FreeBSD.org>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	allegro
-DISTVERSION=	4.4.1.1
-PORTREVISION=	2
+DISTVERSION=	4.4.2
 CATEGORIES=	devel
 MASTER_SITES=	SF/alleg/allegro/${PORTVERSION}
 PKGNAMESUFFIX=	-devel
 
-MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A cross-platform library for games and multimedia programming
+MAINTAINER=	nemysis@gmx.ch
+COMMENT=	Cross-platform library for games and multimedia programming
 
 USE_GMAKE=	yes
 USE_CMAKE=	yes
@@ -32,18 +26,17 @@ LATEST_LINK=	${PORTNAME}${PKGNAMESUFFIX}
 PLIST_SUB=	SHLIB_VER="${SHLIB_VER}"
 CMAKE_ARGS+=	-DDOCDIR="${DOCSDIR}"
 
-SHLIB_VER=	4.4.1
+SHLIB_VER=	4.4.2
 
 PORTSCOUT=	limit:^4\.3\.[0-9]*
 
-.include <bsd.port.pre.mk>
-
 CFLAGS+=	-L${LOCALBASE}/lib
 LIB_DEPENDS+=	asound.2:${PORTSDIR}/audio/alsa-lib \
 		jack.0:${PORTSDIR}/audio/jack \
 		png15:${PORTSDIR}/graphics/png
+
 post-install:
-		@cd ${WRKSRC}/docs/man/ && \
-		    ${FIND} . -type f -and -name "*.3" -exec ${INSTALL_MAN} {} ${PREFIX}/man/man3/{} \;
+	@cd ${WRKSRC}/docs/man/ && \
+		${FIND} . -type f -and -name "*.3" -exec ${INSTALL_MAN} {} ${PREFIX}/man/man3/{} \;
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/devel/allegro-devel/distinfo
==============================================================================
--- head/devel/allegro-devel/distinfo	Mon Sep 17 09:20:13 2012	(r304391)
+++ head/devel/allegro-devel/distinfo	Mon Sep 17 09:28:52 2012	(r304392)
@@ -1,2 +1,2 @@
-SHA256 (allegro-4.4.1.1.tar.gz) = 4e29884cba88b289da5b22da93e8760d68a197d093b23f61e994f3594760d782
-SIZE (allegro-4.4.1.1.tar.gz) = 4625438
+SHA256 (allegro-4.4.2.tar.gz) = 1b21e7577dbfada02d85ca4510bd22fedaa6ce76fde7f4838c7c1276eb840fdc
+SIZE (allegro-4.4.2.tar.gz) = 4674902

Modified: head/devel/allegro-devel/pkg-descr
==============================================================================
--- head/devel/allegro-devel/pkg-descr	Mon Sep 17 09:20:13 2012	(r304391)
+++ head/devel/allegro-devel/pkg-descr	Mon Sep 17 09:28:52 2012	(r304392)
@@ -1,5 +1,5 @@
 Allegro is a cross-platform library intended for use in computer games and
-other types of multimedia programming. 
+other types of multimedia programming.
 
 A wide range of extension packages and add-on modules are also available, which
 can be found in the "Library Extensions" section of the Allegro website.

Modified: head/games/liquidwar/Makefile
==============================================================================
--- head/games/liquidwar/Makefile	Mon Sep 17 09:20:13 2012	(r304391)
+++ head/games/liquidwar/Makefile	Mon Sep 17 09:28:52 2012	(r304392)
@@ -7,7 +7,7 @@
 
 PORTNAME=	liquidwar
 PORTVERSION=	5.6.4
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	games
 MASTER_SITES=	http://liquidwar.sunsite.dk/archive/ \
 		${MASTER_SITE_SAVANNAH} \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-09-17 10:32:13 UTC
State Changed
From-To: feedback->closed

Committed, thank you!